Last Comment Bug 656460 - Skip dummy frames for function.caller
: Skip dummy frames for function.caller
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Blake Kaplan (:mrbkap)
:
Mentors:
Depends on:
Blocks: 650273
  Show dependency treegraph
 
Reported: 2011-05-11 15:02 PDT by Blake Kaplan (:mrbkap)
Modified: 2013-12-27 14:26 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
wontfix


Attachments
Patch (1.63 KB, patch)
2011-05-11 15:02 PDT, Blake Kaplan (:mrbkap)
luke: review+
asa: approval‑mozilla‑beta-
Details | Diff | Splinter Review

Description Blake Kaplan (:mrbkap) 2011-05-11 15:02:26 PDT
Created attachment 531764 [details] [diff] [review]
Patch

Normally this isn't necessary, but for an upcoming patch, I need to have a dummy frame in the same compartment as the current compartment. The dummy frame isn't really a "caller", so we should skip it.
Comment 1 Blake Kaplan (:mrbkap) 2011-05-11 15:07:32 PDT
Please pretend that I named the new StackFrame* variable "callerframe" so it doesn't conflict with the JSObject "caller" inside the if statement.

I also made a getCompartment -> compartment renaming while I was there.
Comment 2 Blake Kaplan (:mrbkap) 2011-05-17 06:55:22 PDT
http://hg.mozilla.org/tracemonkey/rev/2453a6adb500
Comment 3 Blake Kaplan (:mrbkap) 2011-05-19 04:39:09 PDT
Note that the patch that landed was slightly different than the patch attached here...

Asking for tracking-firefox5 as this is a prerequisite for bug 650273.
Comment 4 Chris Leary [:cdleary] (not checking bugmail) 2011-05-23 14:16:11 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/2453a6adb500
Comment 5 David Mandelin [:dmandelin] 2011-05-24 18:12:48 PDT
Comment on attachment 531764 [details] [diff] [review]
Patch

Please land this patch to mozilla-beta.
Comment 6 Asa Dotzler [:asa] 2011-05-31 18:29:05 PDT
I don't see this in mozilla-beta yet and we're starting to run out of runway. Please land ASAP. Thanks.
Comment 7 Asa Dotzler [:asa] 2011-06-06 15:28:56 PDT
Comment on attachment 531764 [details] [diff] [review]
Patch

pulling back approval and not going to try to fix for Firefox 5.

Note You need to log in before you can comment on or make changes to this bug.